MyEclipse8.0或8.5如何安装axis2插件,我已经试了网上好多方法均不能安装成功,求指导,谢谢先!!

Snys 发布于 2012/03/08 11:25
阅读 6K+
收藏 0
加载中
0
Cy.wings
Cy.wings

安装axis2的1.6的版本会有问题,所以安装时候不要选择安装1.6的版本。

插件包下载地址:

https://repository.apache.org/content/groups/snapshots/org/apache/axis2/axis2.eclipse.service.plugin/SNAPSHOT/

https://repository.apache.org/content/groups/snapshots/org/apache/axis2/axis2.eclipse.codegen.plugin/SNAPSHOT/

我的安装方法:

1、将下载的安装包解压,然后将2个文件夹复制到 D:\Program Files\MyEclipse\MyEclipse 9\dropins (myeclipse的安装路径) 目录下,重新打开myeclipse,会出现一个提示,点是就自动安装了,File-New-Other,就能看到Axis插件了。如下图:

 

2、link安装方式:

为了方便区分管理自己添加的插件,在myeclipse安装目录下新建myplugins文件夹,然后再新建插件文件夹axis2,接下来创建需要的目录结构,创建eclipse文件夹,再在eclipse文件夹下创建features和plugins文件夹,将下载的2压缩文件解压得到2个jar拷贝到新建的plugins文件夹下;在D:\Program Files\MyEclipse\MyEclipse 9\dropins (myeclipse的安装路径) 这个文件夹下新建link文件,内容为:path=D:/Program Files/MyEclipse/Common/myplugins/axis2   注意:路径中是"/"或者"\\"  而不是"\" 。

最后的效果图:

希望我的方法能帮到你。

Snys
Snys
@Cy.wings : 还是不行啊~在打开MyEclipse之后会弹出一个对话框说缺包,都好几天了,还没弄好,急死人了,能不能加个qq,交流下,谢谢!我的qq625412331~
Cy.wings
Cy.wings
@Snys : 不好意思,最近网络环境不好,才看到。1、是解压zip ,解压到 [压缩包名称] 文件夹,解压后文件夹里面是plugins/ *.jar 。
Snys
Snys
我想问两点:1这个考到dropins中的文件时.jar解压出来的还是.zip解药出来的,对于文件名称有没有要求; 2,这种方法成功之后,在使用code generator的时候,从java代码生成wsdl代码的最后一步还会不会报错; 谢谢!
0
游客
游客
确实,1.6版本有个bug,将在1.7修复,1.7一直不发布,所以一楼正解。
Snys
Snys
一楼的方法我试了,不行啊,我安装了个1.3.0版本的安装成功了,但是根据java源程序生成wsdl代码的时候就出错了,求指点!谢谢
0
Cy.wings
Cy.wings

不好意思,最近网络环境不好,才看到。

1、是解压zip ,解压到 [压缩包名称] 文件夹,解压后文件夹里面是plugins/ *.jar 。

2、方法安装成功后使用 wsdl 生成 代码,记得导入axis2的jar包,就不会有错了哦。我测试过的。 你可以解压 org.apache.axis2.eclipse.codegen.plugin_0.0.0.SNAPSHOT.jar 这个文件,将lib下的文件复制到你的项目里面,就可以。

0
滴滴丶哔哔
滴滴丶哔哔

http://download.csdn.net/detail/Awx/2826319

这个地址能成功告诉你怎么安装Axis,我成功安装在Eclipse 9.0上

返回顶部
顶部